[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#434027: marked as done (partman-crypto: loop-aes fails with "not supported by kernel")

Your message dated Sun, 12 Aug 2007 18:47:05 +0000
with message-id <E1IKISv-0002AU-Aa@ries.debian.org>
and subject line Bug#434027: fixed in partman-crypto 22
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--- Begin Message ---
Package: partman-crypto
Severity: important

Using the daily d-i build with a businesscard image to install lenny,

My desired configuration is as follows:

/boot unencrypted
loop-aes #1 AES256, GPG key
loop-aes #2 AES256, random key

d-i tells me that it is preparing #1 but after generating enough randomness
it fails with "An error has occured while configuring encrypted

The syslog shows

partman-crypto: ioctl: LOOP_SET_STATUS: Invalid argument, requested
cipher or key length (256 bits) not supported by kernel.

d-i Kernel: Linux 2.6.21-2-486 #1 Wed Jul 11 03:17:09 UTC 2007 i686 unknown

--- End Message ---
--- Begin Message ---
Source: partman-crypto
Source-Version: 22

We believe that the bug you reported is fixed in the latest version of
partman-crypto, which is due to be installed in the Debian FTP archive:

  to pool/main/p/partman-crypto/partman-crypto-dm_22_all.udeb
  to pool/main/p/partman-crypto/partman-crypto-loop_22_all.udeb
  to pool/main/p/partman-crypto/partman-crypto_22.dsc
  to pool/main/p/partman-crypto/partman-crypto_22.tar.gz
  to pool/main/p/partman-crypto/partman-crypto_22_i386.udeb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 434027@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Max Vozeler <xam@debian.org> (supplier of updated partman-crypto package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.7
Date: Sun, 12 Aug 2007 20:31:48 +0200
Source: partman-crypto
Binary: partman-crypto-dm partman-crypto partman-crypto-loop
Architecture: source all i386
Version: 22
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Max Vozeler <xam@debian.org>
 partman-crypto - Add to partman support for block device encryption (udeb)
 partman-crypto-dm - Add to partman support for dm-crypt encryption (udeb)
 partman-crypto-loop - Add to partman support for loop-AES encryption (udeb)
Closes: 434027
 partman-crypto (22) unstable; urgency=low
   [ Frans Pop ]
   * For hd-media installs the module loop will already be loaded, which
     prevents loop-aes from being loaded. Attempt to replace loop with loop-aes
     by unmounting the CD image, replacing the module and remounting the image.
     As losetup is not available, we cannot check what exactly is loop-mounted,
     so we just assume that loop is only used for a CD image.
     Many thanks to Nemui Ailin for identifying the issue. Closes: #434027.
   [ Colin Watson ]
   * Use 'mkdir -p' rather than more awkward test-then-create constructions.
 136a3bfd6fba3dd1085368170bbfdcb4 681 debian-installer standard partman-crypto_22.dsc
 15f416de449e94d42178322fd0cd056b 252540 debian-installer standard partman-crypto_22.tar.gz
 8953d4353283292ed01668d4b560bf7d 1390 debian-installer optional partman-crypto-dm_22_all.udeb
 4a82d3d2e28b14f7f6a1d23cd5dbd971 1226 debian-installer optional partman-crypto-loop_22_all.udeb
 b0b648dc4f02c6ec106e3c1c834d04d5 224076 debian-installer standard partman-crypto_22_i386.udeb
Package-Type: udeb

Version: GnuPG v1.4.6 (GNU/Linux)


--- End Message ---

Reply to: